Save billables
curl --request PUT \
--url https://api.contracting.kukkingu.software/api/v1/billables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"invoiceId": "inv_mqxd1kc6bgtcc676xoqzax47",
"billables": [
{
"name": "Monthly subscription",
"quantity": 10,
"amountMinor": 5000,
"currencyCode": "EUR",
"id": "bil_eym9hcqlh1m7v3d36blf0vfx",
"referenceType": "JIRA",
"referenceId": "PROJ-123",
"description": "Monthly subscription for service X.",
"metadata": {
"project": "Alpha",
"priority": "High"
},
"order": 13
}
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/billables"
payload = {
"invoiceId": "inv_mqxd1kc6bgtcc676xoqzax47",
"billables": [
{
"name": "Monthly subscription",
"quantity": 10,
"amountMinor": 5000,
"currencyCode": "EUR",
"id": "bil_eym9hcqlh1m7v3d36blf0vfx",
"referenceType": "JIRA",
"referenceId": "PROJ-123",
"description": "Monthly subscription for service X.",
"metadata": {
"project": "Alpha",
"priority": "High"
},
"order": 13
}
]
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invoiceId: 'inv_mqxd1kc6bgtcc676xoqzax47',
billables: [
{
name: 'Monthly subscription',
quantity: 10,
amountMinor: 5000,
currencyCode: 'EUR',
id: 'bil_eym9hcqlh1m7v3d36blf0vfx',
referenceType: 'JIRA',
referenceId: 'PROJ-123',
description: 'Monthly subscription for service X.',
metadata: {project: 'Alpha', priority: 'High'},
order: 13
}
]
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/billables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bil_eym9hcqlh1m7v3d36blf0vfx",
"invoice": "inv_mqxd1kc6bgtcc676xoqzax47",
"name": "Monthly subscription",
"quantity": 10,
"amountMinor": 5000,
"currencyCode": "EUR",
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"referenceType": "JIRA",
"referenceId": "PROJ-123",
"description": "Monthly subscription for service X.",
"metadata": {
"project": "Alpha",
"priority": "High"
},
"order": 13
}
]
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Billables
Save billables
Replaces the active billable set for the given invoice.
PUT
/
api
/
v1
/
billables
Save billables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Body
application/json
Request body used to replace all active billables under a single invoice.
Response
Default Response
Standard success response payload wrapped in a data property.
List of billables returned by the API.
Show child attributes
Show child attributes